org.hibernate.search.bridge

## Interface TwoWayStringBridge

- All Superinterfaces:
    StringBridge
  All Known Implementing Classes:
    BigDecimalBridge, BigIntegerBridge, BooleanBridge, ByteBridge, CharacterBridge, ClassBridge, DoubleBridge, ElasticsearchBooleanBridge, ElasticsearchInstantBridge, ElasticsearchLocalDateBridge, ElasticsearchLocalDateTimeBridge, ElasticsearchLocalTimeBridge, ElasticsearchMonthDayBridge, ElasticsearchOffsetDateTimeBridge, ElasticsearchOffsetTimeBridge, ElasticsearchTemporalAccessorStringBridge, ElasticsearchYearBridge, ElasticsearchYearMonthBridge, ElasticsearchZonedDateTimeBridge, EnumBridge, FloatBridge, IntegerBridge, LocalDateBridge, LocalDateTimeBridge, LocalTimeBridge, LongBridge, MonthDayBridge, NumberBridge, OffsetDateTimeBridge, OffsetTimeBridge, PeriodBridge, ShortBridge, StringBridge, TemporalAccessorStringBridge, UriBridge, UrlBridge, UUIDBridge, YearMonthBridge, ZonedDateTimeBridge, ZoneIdBridge, ZoneOffsetBridge

      public interface TwoWayStringBridge
      extends StringBridge

  `StringBridge` allowing a translation from the string representation back to the `Object`. `objectToString( stringToObject( string ) )` and `stringToObject( objectToString( object ) )` should be "idempotent". More precisely:
  - `objectToString( stringToObject( string ) ).equals(string)`, for non `null` string.
  - `stringToObject( objectToString( object ) ).equals(object)`, for non `null` object.
  As for all Bridges implementations must be threadsafe.
  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `stringToObject(String stringValue)` Convert the index string representation to an object.

    - ### Methods inherited from interface org.hibernate.search.bridge.StringBridge

      `objectToString`

- - ### Method Detail

    - #### stringToObject

          Object stringToObject(String stringValue)

      Convert the index string representation to an object.
      Parameters:
        `stringValue` - The index value.
      Returns:
        Takes the string representation from the Lucene index and transforms it back into the original `Object`.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved